View Issue Details

IDProjectCategoryView StatusLast Update
0028556Open CASCADEOCCT:Modeling Algorithmspublic2017-09-29 16:25
Reporteremv Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.1.0 
Target Version7.2.0Fixed in Version7.2.0 
Summary0028556: Invalid result of Fuse operation in the test case bugs moddata_2 bug469
DescriptionThe result of Fuse operation performed in the test case bugs moddata_2 bug469 is invalid. The test case is marked as BAD (known problem).
Steps To Reproducetest bugs moddata_2 bug469
checkshape result
checknbshapes result -solid 1
TagsNo tags attached.
Test case numberbugs moddata_2 bug469

Activities

git

2017-03-16 08:07

administrator   ~0064356

Branch CR28556 has been created by emv.

SHA-1: d6db30e1b4c88398d8c1734a01b9148464a5cdaf


Detailed log of new commits:

Author: emv
Date: Wed Mar 15 09:15:46 2017 +0300

    0028556: Invalid result of Fuse operation in the test case bugs moddata_2 bug469
    
    1. Using appropriate intersection tolerance for splitting the degenerated edges in Boolean operations (void BOPAlgo_PaveFiller::FillPaves()).
    
    2. Avoid creation of the wires consisting of degenerated edges only (BOPAlgo_WireSplitter).
    
    3. Test case bugs/moddata_2/bug469 has been corrected to obtain valid result of operation. TODO statements have been removed from the case.

emv

2017-03-16 08:12

developer   ~0064357

The shapes in the test case are slightly misaligned, and this misalignment leads to creation of invalid faces. To resolve that, additionally to the fixes in BOP algorithm, the use of fuzzy value has been added into the test case.

Dear Mikhail, could you please review the git branch CR28556?

msv

2017-03-16 11:01

developer   ~0064361

src\BOPAlgo\BOPAlgo_PaveFiller_8.cxx
- 234: paves => pave blocks
- 259: double ;;
- aTolCmp should be computed with resolution of only direction of the degenerated edge.

git

2017-03-16 14:46

administrator   ~0064381

Branch CR28556 has been updated by emv.

SHA-1: ea7f309d65b8ac6c992122324cfa67bd0c52d07a


Detailed log of new commits:

Author: emv
Date: Thu Mar 16 14:40:24 2017 +0300

    Small corrections considering remarks.

emv

2017-03-16 14:47

developer   ~0064382

Corrected. Please review again.

git

2017-03-17 19:56

administrator   ~0064422

Branch CR28556 has been updated by msv.

SHA-1: 4cc23a3501fedb645f14854731cfe71f414c59fe


Detailed log of new commits:

Author: msv
Date: Fri Mar 17 19:55:58 2017 +0300

    // small correction

git

2017-03-17 19:59

administrator   ~0064423

Branch CR28556_1 has been created by msv.

SHA-1: 67af679208369e8d7d1f0aa164dad7b6199afea9


Detailed log of new commits:

Author: emv
Date: Wed Mar 15 09:15:46 2017 +0300

    0028556: Invalid result of Fuse operation in the test case bugs moddata_2 bug469
    
    1. Using appropriate intersection tolerance for splitting the degenerated edges in Boolean operations (void BOPAlgo_PaveFiller::FillPaves()).
    
    2. Avoid creation of the wires consisting of degenerated edges only (BOPAlgo_WireSplitter).
    
    3. Test case bugs/moddata_2/bug469 has been corrected to obtain valid result of operation. TODO statements have been removed from the case.

msv

2017-03-17 20:00

developer   ~0064424

I have made small correction and put the new branch rebased on current master.
Please test.

mkv

2017-03-20 20:01

tester   ~0064551

Dear BugMaster,
Branch CR28556_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 67af679208369e8d7d1f0aa164dad7b6199afea9

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1198

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR28556_1-master-OCCT/Debian70-64/bugs/moddata_2/bug469.html
http://occt-tests/CR28556_1-master-OCCT/Windows-64-VC10/bugs/moddata_2/bug469.html
bugs moddata_2 bug469: OK

Testing on Linux:
occt component :
Total MEMORY difference: 92897520 / 92532835 [+0.39%]
Total CPU difference: 20102.790000000245 / 20174.39000000011 [-0.35%]
products component :
Total MEMORY difference: 31026661 / 31146794 [-0.39%]
Total CPU difference: 5444.639999999978 / 5412.149999999975 [+0.60%]

Testing on Windows:
occt component :
Total MEMORY difference: 57783680 / 57782265 [+0.00%]
Total CPU difference: 18857.182478598552 / 18782.551600198512 [+0.40%]
products component :
Total MEMORY difference: 22292931 / 22254740 [+0.17%]
Total CPU difference: 5453.701359399969 / 5421.409152399973 [+0.60%]

There are following differences in images found by testdiff.
http://occt-tests/CR28556_1-master-OCCT/Windows-64-VC10/diff-Windows-64-VC10-image.html
IMAGE bugs moddata_2 bug469: bug469.png differs

mkv

2017-03-20 20:01

tester   ~0064552

Dear BugMaster,
Branch CR28556_1 is TESTED.

git

2017-05-12 11:35

administrator   ~0065923

Branch CR28556 has been deleted by kgv.

SHA-1: 4cc23a3501fedb645f14854731cfe71f414c59fe

git

2017-05-12 11:35

administrator   ~0065924

Branch CR28556_1 has been deleted by kgv.

SHA-1: 67af679208369e8d7d1f0aa164dad7b6199afea9

Related Changesets

occt: master f80842e3

2017-03-15 06:15:46

emv


Committer: bugmaster Details Diff
0028556: Invalid result of Fuse operation in the test case bugs moddata_2 bug469

1. Using appropriate intersection tolerance for splitting the degenerated edges in Boolean operations (void BOPAlgo_PaveFiller::FillPaves()).

2. Avoid creation of the wires consisting of degenerated edges only (BOPAlgo_WireSplitter).

3. Test case bugs/moddata_2/bug469 has been corrected to obtain valid result of operation. TODO statements have been removed from the case.
Affected Issues
0028556
mod - src/BOPAlgo/BOPAlgo_PaveFiller_8.cxx Diff File
mod - src/BOPAlgo/BOPAlgo_WireSplitter_1.cxx Diff File
mod - tests/bugs/moddata_2/bug469 Diff File

Issue History

Date Modified Username Field Change
2017-03-15 09:09 emv New Issue
2017-03-15 09:09 emv Assigned To => msv
2017-03-16 08:07 git Note Added: 0064356
2017-03-16 08:12 emv Note Added: 0064357
2017-03-16 08:12 emv Status new => resolved
2017-03-16 11:01 msv Note Added: 0064361
2017-03-16 11:01 msv Assigned To msv => emv
2017-03-16 11:01 msv Status resolved => assigned
2017-03-16 14:46 git Note Added: 0064381
2017-03-16 14:47 emv Note Added: 0064382
2017-03-16 14:47 emv Assigned To emv => msv
2017-03-16 14:47 emv Status assigned => resolved
2017-03-17 19:56 git Note Added: 0064422
2017-03-17 19:59 git Note Added: 0064423
2017-03-17 20:00 msv Note Added: 0064424
2017-03-17 20:00 msv Assigned To msv => bugmaster
2017-03-17 20:00 msv Status resolved => reviewed
2017-03-17 20:12 mkv Assigned To bugmaster => mkv
2017-03-20 20:01 mkv Note Added: 0064551
2017-03-20 20:01 mkv Note Added: 0064552
2017-03-20 20:01 mkv Assigned To mkv => bugmaster
2017-03-20 20:01 mkv Status reviewed => tested
2017-03-20 20:02 mkv Test case number => bugs moddata_2 bug469
2017-03-24 15:53 bugmaster Changeset attached => occt master f80842e3
2017-03-24 15:53 bugmaster Status tested => verified
2017-03-24 15:53 bugmaster Resolution open => fixed
2017-05-12 11:35 git Note Added: 0065923
2017-05-12 11:35 git Note Added: 0065924
2017-09-29 16:20 aiv Fixed in Version => 7.2.0
2017-09-29 16:25 aiv Status verified => closed